import type { WithNormalizedProps } from "../../global";
import type { Input as BaseInput } from "../components/ebay-dialog-base/component";
interface SnackbarDialogInput extends Omit<BaseInput, `on${string}`> {
    layout?: "row" | "column";
    action?: BaseInput["action"] & {
        accesskey?: string;
        /** @deprecated use `accesskey` instead */
        accessKey?: string;
    };
    "on-action"?: () => void;
    "on-open"?: () => void;
    "on-close"?: () => void;
}
export interface Input extends WithNormalizedProps<SnackbarDialogInput> {
}
interface State {
    open: boolean;
}
declare class SnackbarDialog extends Marko.Component<Input, State> {
    timeout: ReturnType<typeof setTimeout>;
    eventSet: Set<string>;
    _clearTimeout(): void;
    _setupTimeout(): void;
    onInput(input: Input): void;
    onMount(): void;
    onUpdate(): void;
    onRender(): void;
    onDestroy(): void;
    onCreate(): void;
    handleAction(): void;
    handleFocus(): void;
    handleBlur(): void;
    handleMouseEnter(): void;
    handleMouseLeave(): void;
    handleClose(): void;
}
export default SnackbarDialog;
